 <?php
error_reporting(E_ALL);
 
ini_set('error_reporting', E_ALL);


header('Content-Type: text/html; charset=UTF-8');
require_once ("config/db.php");
require_once ("config/conexion.php"); 
require_once ("correo_cierres/class.phpmailer.php");
    
    date_default_timezone_set("America/Lima");
    $fecha_actual = date('Y-m-d');
    $fecha_actual_1_dia_antes = strtotime('-1 day', strtotime($fecha_actual));
    $fecha_busqueda_put = date('Y-m-d', $fecha_actual_1_dia_antes);
 
    
    // EMITIDOS....
 
	$sql=mysqli_query($con, "
	
	SELECT id, id_doc_electronico, serieNumero, fechaEmision, 
	numeroDocIdentidadEmisor, numeroDocIdentidadReceptor, correoReceptor 
	FROM `SF_DOC_ELECTRONICO` 
	WHERE `correoReceptor` != '' AND correoReceptor like '%@%' AND `estado_xml` = 1  
	AND doc_afectado='' AND `enviado_sunat` = 1  
	
	");
	
 
	
	
	while ($row=mysqli_fetch_array($sql)){
	    
		$serieNumero=$row["serieNumero"]; 
		$fechaEmision=$row["fechaEmision"]; 
		$numeroDocIdentidadEmisor=$row["numeroDocIdentidadEmisor"]; 
		$numeroDocIdentidadReceptor=$row["numeroDocIdentidadReceptor"];
		$correoReceptor=$row["correoReceptor"];
		
		       
		        //$servername2 = "51.79.81.115";
		        $servername2 = "51.161.12.71";
                $username2 = "portalso_storage";
                $password2 = 'YJR({r9dWQ#@';
                $dbname2 = "portalso_sh_storage";
    
                
                $conn2 = new mysqli($servername2, $username2, $password2, $dbname2);
                  
                    $sql=mysqli_query($conn2, "
	
                        	SELECT * FROM `SF_DOC_ELECTRONICO`, st_empresa 
                        	WHERE `serieNumero` LIKE '%$serieNumero%' AND `fechaEmision` = '$fechaEmision'  
                        	AND `numeroDocIdentidadEmisor` LIKE '$numeroDocIdentidadEmisor'    
                        	AND SF_DOC_ELECTRONICO.numeroDocIdentidadEmisor=st_empresa.ruc
                        	
                        	");
                        	
                        	
                        	
                        	
                        
                         
                    	while ($row=mysqli_fetch_array($sql)){
	    
                        		$id_cpe=$row["id"];
                        		$razon_social=$row["razon_social"];
                        		$razonSocialReceptor=$row["razonSocialReceptor"]; 
                        		$fechaEmision=$row["fechaEmision"];
                        		$serieNumero=$row["serieNumero"];
                        		$tipoDocumento=$row["tipoDocumento"];
                        		$numeroDocIdentidadEmisor=$row["numeroDocIdentidadEmisor"]; 
                        		$numeroDocIdentidadReceptor=$row["numeroDocIdentidadReceptor"];
                        		$correoReceptor_fe=$row["correoReceptor"];
                        		$importeTotalVenta=$row["importeTotalVenta"];
                        		$dcr_doc=$row["dcr_doc"];
		
  
	 
		
		if($tipoDocumento==01){
		$titulo = 'FACTURA ELECTRONICA: '.$serieNumero.' | RUC CLIENTE: '.$numeroDocIdentidadEmisor; 
		}else{
        $titulo = 'BOLETA DE VENTA ELECTRONICA: '.$serieNumero.' | RUC CLIENTE: '.$numeroDocIdentidadEmisor; 
		}   
		
		$valor2 =  "<h3 style='color:#000000;'> Estimado(a), $razonSocialReceptor,  ".''."</h3>";
		if($tipoDocumento==01){
	        $valor2 .= "<h3 style='color:#000000;'> Por encargo del emisor: $razon_social, nos es grato informar que la Factura Electronica Nro. $serieNumero ha sido EMITIDA con los siguientes datos: ".''."</h3>";
		}else{
    	    $valor2 .= "<h3 style='color:#000000;'> Por encargo del emisor: $razon_social, nos es grato informar que la Boleta de Venta Electronica Nro. $serieNumero ha sido EMITIDA con los siguientes datos: ".''."</h3>";
		}
		
	    $fecha_convertida=date("d-m-Y", strtotime($fechaEmision));
	    $valor2 .= "<h3 style='color:#000000;'> Nro. RUC del Emisor: $numeroDocIdentidadEmisor    ".$cant_bol_emi."</h3>";
		$valor2 .= "<h3 style='color:#000000;'> Serie - Numero: $serieNumero    ".$cant_bol_emi."</h3>";
		$valor2 .= "<h3 style='color:#000000;'> Fecha de Emision: $fecha_convertida ".$cant_fact_emi."</h3>";
		$valor2 .= "<h3 style='color:#000000;'> Total: S/ $importeTotalVenta ".''."</h3><br><br>";
		
		$valor2 .= "<h3 style='color:#000000;'> El comprobante tambien puede ser consultado o descargado en el link https://consulta.sos-fact.com. ".''."</h3>";
		
		
		$valor2 .= "<a style='display:inline-block; padding:15px; 
		background:#4c459b; font-weight:bold; color:#ffffff; text-align:center; 
		text-decoration:none; border-radius:18px'
		href='https://consulta.sos-fact.com/miner_fe/pdf/documentos/ver_factura_sosfact.php?id_factura=$id_cpe'
		target='_blank'>PDF</a> 
		
		
		<a style='display:inline-block; padding:15px; 
		background:#4c459b; font-weight:bold; color:#ffffff; text-align:center; 
		text-decoration:none; border-radius:18px'
		href='https://portal.sos-fact.com/descargas/descarga.php?xml=$id_cpe'
		target='_blank'>XML</a>
		
		
		<a style='display:inline-block; padding:15px; 
		background:#4c459b; font-weight:bold; color:#ffffff; text-align:center; 
		text-decoration:none; border-radius:18px'
		href='https://portal.sos-fact.com/descargas/descarga2.php?cdr=$id_cpe'
		target='_blank'>CDR</a> <br><br>
		
		";
 


		$valor2 .= "<h3 style='color:#000000;'> Desarrollado por: Area de Sistemas  SOS-TIC ".''."</h3>"; 
		$valor2 .= "<h3 style='color:#000000;'> AGRADECEREMOS NO RESPONDER ESTE CORREO ".''."</h3>"; 
		
		

		$str = str_replace('\n', '<br>', $valor2); // contenido con replace
		$valor3 = $correos_json; // correo destinatario

		$mail = new PHPMailer();
		$mail->IsSMTP();
		$mail->SMTPDebug = 0;
		$mail->SMTPAuth = true;
		$mail->SMTPSecure = "ssl";
		$mail->Host = "mail.sos-fact.com";
		$mail->Port = 465;
		$mail->Username = "cpe@sos-fact.com";
		$mail->Password = "N.KiJekA7agW";
		$mail->SetFrom('cpe@sos-fact.com', 'SOS-FACT - CPEs');
		$mail->Subject = $titulo;
		$mail->MsgHTML(".$str.");
		
		$address = $correoReceptor;
		$mail->AddAddress($address, $address);

		$address_replica = "ing.jesus.cuauro@gmail.com";
		$mail->AddAddress($address_replica, $address_replica);
		
	
		
         
        
        	    if ($mail->Send()){
        		 // EXITOSO....
        		 
        		 	$sql=mysqli_query($con, "
        	
                    	UPDATE `SF_DOC_ELECTRONICO`
                    	SET doc_afectado = 999
                    	WHERE `serieNumero` LIKE '%$serieNumero%' AND `fechaEmision` = '$fechaEmision'  
                        AND `numeroDocIdentidadEmisor` LIKE '$numeroDocIdentidadEmisor'  
                    	
                    ");
                    
        	    echo "OK";
        		 
        	    }else{
        	    // NO EXITOSO....
        	   
        	    echo "NO FUE OK";
        		 
        	    }
	    
     
  
	}
		
	}
	 

 
	

 

?>